# Interface RepeatableRNG

All Known Implementing Classes:
  `AESCounterRNG, CellularAutomatonRNG, CMWC4096RNG, JavaRNG, MersenneTwisterRNG, XORShiftRNG`

public interface RepeatableRNG
Deterministic random number generators are repeatable, which can prove useful for testing and validation. This interface defines an operation to return the seed data from a repeatable RNG. This seed value can then be reused to create a random source with identical output.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSeed()`

## Method Details

### getSeed

byte[] getSeed()

Returns:
  The seed data used to initialise this pseudo-random number generator.